
Figure - Bug #118234
【IOVDEV-30287】【内部】【VC1】【0100】【台架】【EE环境】【副屏】【第三方应用】斗鱼app，小窗模
式转化为全屏模式，最上方小窗模式导航栏仍存在，并可点击
2023-05-25 16:17 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-25

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【副屏版本号】：01.00.0100.C103��【中控版本号】：03.02.0082.C102.02_userdebug_2305191401

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 更新CaptionToolbar时需要检查全屏状态

Description

【环境信息】：EE环境

【问题出现时间】：2023/05/24 18:43 第106次开机

【前提条件】：电源ON

【操作步骤】：

1、打开斗鱼app

2、使用小窗模式

3、切换全屏模式

【实际结果】

小窗模式的最上方导航栏仍存在

【期望结果】

小窗模式最上方导航栏消失，为全屏模式

【备注】：

【应用版本】：

【硬件版本号】：不涉及

【副屏版本号】：01.00.0100.C103

【中控版本号】：03.02.0082.C102.02_userdebug_2305191401

【中控VIN】HRYTTESTVINMGM403

【第三方应用版本号】斗鱼6.5.1

录屏&log：https://networkdisk.human-horizons.com/l/UHk2Dt

测试时间13:33

History

#1 - 2023-05-25 16:18 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118234

#2 - 2023-05-25 18:53 - CD FW-鲁凯峰

- Status changed from New to RESOLVED
- Assignee changed from CD FW-鲁凯峰 to CDTS_Test 吴诗雨

- Resolution changed from -- to FIXED

- Root cause set to 更新CaptionToolbar时需要检查全屏状态

这个问题已经解决了,请在最新的版本上验证一下

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/202266/2/core/java/com/android/internal/widget/DecorCaptionView.java#392

#3 - 2023-05-27 15:39 - CDTS_Test 吴诗雨

验证结果：

0527DB，全屏没有状态栏，但全屏过程中会有状态栏一闪而过，

#4 - 2023-06-02 17:03 - SZTS_TEST 邹涛

- Status changed from RESOLVED to VERIFIED

在106版本验证通过

#5 - 2023-06-02 17:04 - SZTS_TEST 邹涛

- Status changed from VERIFIED to CLOSED

Files

screen-20230524-133119.mp4 13.6 MB 2023-05-25 CDTS_Test 吴诗雨
